Jump to content
SolidAmerica

Paypal Module Express Checkout Error

Recommended Posts

I have the Version: OSCOM CEnix v1.0.7.7 installed in my store.
Before, right after setup removed a lot of states and left only United States to ship and sell products only, then i try to install paypal regular but it was too complicated with security certificates and how to make them, then i installed the "Paypal Express module" and when i test to see if it works by clicking on the button, I get this error:

Warning: array_filter() expects parameter 1 to be array, null given in /home/www/mysellingstoreexample.com/stores/includes/system/versioned/1.0.5.1/customer.php on line 62

Notice: Only variables should be passed by reference in /home/www/mysellingstoreexample.com/.com/stores/includes/modules/customer_data/cd_country.php on line 112

Notice: Only variables should be passed by reference in /home/www/mysellingstoreexample.com/.com/stores/includes/modules/customer_data/cd_country.php on line 112

Warning: Cannot modify header information - headers already sent by (output started at /home/www/mysellingstoreexample.com/.com/stores/includes/system/versioned/1.0.5.1/customer.php:62) in /home/www/mysellingstoreexample.com/.com/stores/includes/functions/general.php on line 36

I recognise that i'm confused and don't know where to go for help or if I must to remove the whole software and try it again to see if something is broken during the files upload.
Is any body in here that can address me for the next steps to make this store funcionable (that operates normally)? Plase.

paypalcheckout.jpg

Share this post


Link to post
Share on other sites
1 hour ago, SolidAmerica said:

Warning: Cannot modify header information - headers already sent by (output started at /home/www/mysellingstoreexample.com/.com/stores/includes/system/versioned/1.0.5.1/customer.php:62) in /home/www/mysellingstoreexample.com/.com/stores/includes/functions/general.php on line 36

This says that you have display_errors turned on.  You can add

ini_set('display_errors', '0');

to includes/configure.php to turn it off.  Or turn it off in your hosting account if they allow you to do that. 

You should not have display_errors turned on in your live store. 

The warning and notices will be fixed in the 1.0.7.8 release. 


Always back up before making changes.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×